Subject: Proper definitions of RFC-1212 and RFC-1215 not found

From: Gaurav GOYAL <[email-masked]>
Date: Wed, 1 Nov 2006 19:06:15 +0530

Hi,

I went to http://www.ietf.org/rfc/ and downloaded RFC-1212. But I couldn't find it's object definitions anywhere in the file. And then on searching the net I managed to find 2 totally different definitions. I'm confused which one is right.

Definition 1:
-------------
RFC-1212 DEFINITIONS ::= BEGIN

    -- Make builtin items known
    SMI OBJECT-TYPE
END

Definition 2:
-------------
OBJECT-TYPE MACRO ::= BEGIN

              TYPE NOTATION ::=
                                          -- must conform to
                                          -- RFC1155's ObjectSyntax
                                "SYNTAX" type(ObjectSyntax)
                                "ACCESS" Access
                                "STATUS" Status
                                DescrPart
                                ReferPart
                                IndexPart
                                DefValPart
              VALUE NOTATION ::= value (VALUE ObjectName)

              Access ::= "read-only"
                              | "read-write"
                              | "write-only"
                              | "not-accessible"
              Status ::= "mandatory"
                              | "optional"
                              | "obsolete"
                              | "deprecated"

              DescrPart ::=
                         "DESCRIPTION" value (description DisplayString)
                              | empty

              ReferPart ::=
                         "REFERENCE" value (reference DisplayString)
                              | empty

              IndexPart ::=
                         "INDEX" "{" IndexTypes "}"

                              | empty
              IndexTypes ::=
                         IndexType | IndexTypes "," IndexType
              IndexType ::=
                                  -- if indexobject, use the SYNTAX
                                  -- value of the correspondent
                                  -- OBJECT-TYPE invocation
                         value (indexobject ObjectName)
                                  -- otherwise use named SMI type
                                  -- must conform to IndexSyntax below
                              | type (indextype)

              DefValPart ::=
                         "DEFVAL" "{" value (defvalue ObjectSyntax) "}"
                              | empty

END

Similarly, I didn't find any valid definition in the RFC-1215 file I downloaded from ietf link itself. But I managed to find different definitions from different places. 

Could anyone please provide the correct definition of both RFC-1213 and RFC-1215 that I can include to compile in my browser.

Thanks,
Aditya

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Wed, 1 Nov 2006 15:51:51 +0200

Hi,

I suggest that you subscribe and address your questions at
[email-masked]. 

You may want to describe what are you exactly trying to load and do, and
also why you are trying to use the old SMI version rather than the new
version SMIv2 defined by RFC 2578. 

Dan

> -----Original Message-----
> From: Gaurav GOYAL [mailto:[email-masked]] 
> Sent: Wednesday, November 01, 2006 3:36 PM
> To: [email-masked]
> Subject: Proper definitions of RFC-1212 and RFC-1215 not found
> 
> Hi,
> 
> I went to http://www.ietf.org/rfc/ and downloaded RFC-1212. 
> But I couldn't find it's object definitions anywhere in the 
> file. And then on searching the net I managed to find 2 
> totally different definitions. I'm confused which one is right.
> 
> Definition 1:
> -------------
> Similarly, I didn't find any valid definition in the RFC-1215 
> file I downloaded from ietf link itself. But I managed to 
> find different definitions from different places. 
> 
> Could anyone please provide the correct definition of both 
> RFC-1213 and RFC-1215 that I can include to compile in my browser.
> 
> Thanks,
> Aditya
> 
>